# Generated by go2rpm
%bcond_without check

# https://github.com/rackspace/gophercloud
%global goipath         github.com/rackspace/gophercloud
Version:                1.0.0
%global commit          e00690e87603abe613e9f02c816c7c4bef82e063

%gometa

%global common_description %{expand:
Gophercloud is a flexible SDK that allows you to consume and work with OpenStack
clouds in a simple and idiomatic way using Golang. Many services are supported,
including Compute, Block Storage, Object Storage, Networking, and Identity. Each
service API is backed with getting started guides, code samples, reference
documentation, unit tests and acceptance tests.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md CONTRIBUTORS.md README.md\\\
                        UPGRADING.md

Name:           %{goname}
Release:        28%{?dist}
Summary:        A Go SDK for OpenStack

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(gopkg.in/yaml.v2)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck -t openstack/blockstorage \
         -t openstack/cdn/v1 \
         -d openstack/common/extensions \
         -t openstack/compute/v2 \
         -t openstack/db/v1 \
         -t openstack/identity/v2 \
         -t openstack/imageservice/v2 \
         -t openstack/networking/v2 \
         -t openstack/objectstorage/v1 \
         -t openstack/orchestration/v1 \
         -t openstack/telemetry/v2 \
         -t rackspace/autoscale/v1 \
         -t rackspace/blockstorage/v1 \
         -t rackspace/cdn/v1 \
         -t rackspace/compute/v2 \
         -t rackspace/db/v1 \
         -t rackspace/identity/v2 \
         -t rackspace/lb/v1 \
         -t rackspace/networking/v2 \
         -t rackspace/objectstorage/v1 \
         -t rackspace/orchestration/v1
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 24 15:47:08 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-21.20190524gite00690e
- Bump to commit e00690e87603abe613e9f02c816c7c4bef82e063

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 01 2017 Jan Chaloupka <jchaloup@redhat.com> - 1.0.0-14
- Fix [Build]Required yaml v2
  related: #1214774

* Wed Jan 18 2017 Jan Chaloupka <jchaloup@redhat.com> - 1.0.0-13
- Bump to upstream c90cb954266e1bdd6d1914678fd6909fc5fabbfa
  related: #1214774

* Wed Jan 18 2017 Jan Chaloupka <jchaloup@redhat.com>
- Polish the spec file
  related: #1214774

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-11
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-10
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 07 2015 Fridolin Pokorny <fpokorny@redhat.com> - 1.0.0-8
- Update spec file to spec-2.0
  resolves: #1214774

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 23 2015 jchaloup <jchaloup@redhat.com> - 1.0.0-6
- Bump to upstream f3ced00552c1c7d4a6184500af9062cfb4ff4463
  resolves: #1214774

* Fri Mar 06 2015 jchaloup <jchaloup@redhat.com> - 1.0.0-5
- Fix root provide, replace double % with one
  related: #1153733

* Fri Mar 06 2015 jchaloup <jchaloup@redhat.com> - 1.0.0-4
- Fix Provides, used import_path macro instead of its value
  related: #1153733

* Fri Mar 06 2015 jchaloup <jchaloup@redhat.com> - 1.0.0-3
- Bump to upstream 6753165c3bb83a2b41bc495210509eacb12926d6
  related: #1153733

* Wed Feb 25 2015 jchaloup <jchaloup@redhat.com> - 1.0.0-2
- Bump to upstream 75c3fecab50deff8ff90bce2147a9d3140c5a13f
  related: #1153733

* Fri Jan 02 2015 jchaloup <jchaloup@redhat.com> - 1.0.0-1
- update to 1.0.0
  related: #1153733

* Thu Oct 16 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.gite13cda2
- First package for Fedora
  resolves: #1153733
